# Uses of Class
org.apache.sysds.conf.CompilerConfig

Packages that use CompilerConfig
Package
Description
org.apache.sysds.api.jmlc
org.apache.sysds.conf
org.apache.sysds.hops
org.apache.sysds.runtime.controlprogram.parfor

## Uses of CompilerConfig in org.apache.sysds.api.jmlc

Methods in org.apache.sysds.api.jmlc that return CompilerConfig
Modifier and Type
Method
Description
`CompilerConfig`
PreparedScript.`getCompilerConfig()`
Get the compiler configuration object associated with the prepared script instance.

## Uses of CompilerConfig in org.apache.sysds.conf

Methods in org.apache.sysds.conf that return CompilerConfig
Modifier and Type
Method
Description
`CompilerConfig`
CompilerConfig.`clone()`
`static CompilerConfig`
ConfigurationManager.`getCompilerConfig()`
Gets the current thread-local compiler configuration.
Methods in org.apache.sysds.conf with parameters of type CompilerConfig
Modifier and Type
Method
Description
`static void`
ConfigurationManager.`setGlobalConfig(CompilerConfig conf)`
`static void`
ConfigurationManager.`setLocalConfig(CompilerConfig conf)`
Sets the current thread-local compiler configuration to the given config.
Constructors in org.apache.sysds.conf with parameters of type CompilerConfig
Modifier
Constructor
Description
``
`CompilerConfig(CompilerConfig conf)`

## Uses of CompilerConfig in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return CompilerConfig
Modifier and Type
Method
Description
`static CompilerConfig`
OptimizerUtils.`constructCompilerConfig(CompilerConfig cconf, DMLConfig dmlconf)`
`static CompilerConfig`
OptimizerUtils.`constructCompilerConfig(DMLConfig dmlconf)`
Methods in org.apache.sysds.hops with parameters of type CompilerConfig
Modifier and Type
Method
Description
`static CompilerConfig`
OptimizerUtils.`constructCompilerConfig(CompilerConfig cconf, DMLConfig dmlconf)`

## Uses of CompilerConfig in org.apache.sysds.runtime.controlprogram.parfor

Constructors in org.apache.sysds.runtime.controlprogram.parfor with parameters of type CompilerConfig
Modifier
Constructor
Description
``
`LocalParWorker(long ID, LocalTaskQueue<Task> q, ParForBody body, CompilerConfig cconf, int max_retry)`